
class imageCreator {
    inherit stringCreator
    method createObject {token xuiBuilder}
}

body imageCreator::createObject {token xuiBuilder} {
    if [string length [set parentName [$xuiBuilder cget -currentParentName]]] {
	set name $parentName.[dom::getAttribute $token name]
    } else {
	set name ::#auto
    }                        
    return [xuiImage $name]
}


